
%define		module	pyosd

Summary:	xosd bindings for Python
Summary(pl.UTF-8):	Moduł xosd dla Pythona
Name:		python-%{module}
Version:	0.2.14
Release:	5
License:	GNU
Group:		Development/Languages/Python
Source0:	http://repose.cx/pyosd/%{module}-%{version}.tar.gz
# Source0-md5:	3beb6692c4d76b3318e7876a6dd03bdf
URL:		http://repose.cx/pyosd/
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	xosd-devel >= 2.2.5
Requires:	xosd >= 2.2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyosd is a Python module for displaying text on your X display, much
like the "On Screen Displays" used on TVs and some monitors.

This is useful for such things as displaying the currently playing
song in your media player.

%description -l pl.UTF-8
pyosd jest modułem dla języka Python umożliwiającym wyświetlanie
tekstów na ekranie serwera X, podobnie jak "On Screen Display" używany
w telewizorach i monitorach.

Może to zostać wykorzystane do wyświetlania aktualnie odtwarzanej
piosenki czy filmu.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%py_install \
	--install-lib=%{py_sitedir} \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* ChangeLog pyosd.html
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so
%changelog
* Mon Dec 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyosd.git;a=log;h=master

* Mon Dec 21 2015 Jan Rękorajski <baggins@pld-linux.org> f84bd33
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 09bc10d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 20098e5
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6152974
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 7f442f6
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1011975
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> da7a697
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 91a85f2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> efb14b5
- converted to UTF-8

* Sun Feb 19 2006 piti <piti@pld-linux.org> eb30bc2
- up to 0.2.14

* Sat Mar 05 2005 Michal Chruszcz <mchruszcz@gmail.com> 7247a39
- removed obsolete BR: rpm-pythonprov, rel 2

* Mon Feb 07 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 59d560f
- updated to 0.2.12

* Sun Dec 26 2004 saq <saq@pld-linux.org> 2a148a2
- release 2 for rebuild with python 2.4

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> 0d70f42
- updated to 0.2.11

* Sat Nov 27 2004 saq <saq@pld-linux.org> 56ed89f
- massive attack: added missing python-devel epoch do BR

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> d4773be
- spaces->tabs
- formatting

* Mon Sep 06 2004 Jakub Bogusz <qboosh@pld-linux.org> d94f9ca
- reverted buggy commit

* Mon Sep 06 2004 darekr <darekr@pld-linux.org> ded2f50
- missing files

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> b504ec0
- update to 0.2.10

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> bf82a90
- removed %%include /usr/lib/rpm/macros.python

